/*
 * Copyright (C) 2000 Robert Fitzsimons
 */

#include "debug.h"
#include "unicode.h"

#include <stdio.h>

void debug(char* format, ...) {
	va_list args;
	va_start(args, format);
	vfprintf(stdout, format, args);
	va_end(args);
}

void debug_hash(kuint hash, kuint newline) {
	debug_unicode(unicode_get(hash), newline);
}

void debug_unicode(Unicode* unicode, kuint newline) {
	kuint index = 0;

	putchar('\"');
	while(index < unicode->length) {
		kuint c = unicode->array[index++];

		if((c >= 0x20) && (c < 0x80)) {
			putchar(c);
		} else {
			putchar('?');
		}
	}
	putchar('\"');

	if(newline) {
		putchar('\n');
	}
}

